﻿using Hotline.Share.Enums.Settings;

namespace Hotline.Share.Dtos.Roles
{
    public record RoleAuthorityDto
    {
        public string RoleId { get; set; }

        public string RoleCode { get; set; }

        public List<string> SystemMenuArr { get; set; }

        public List<string> SystemButtonArr { get; set; }

    }

    public record AddAccessLevelDto
    {
        /// <summary>
        /// 角色ID
        /// </summary>
        public string RoleId { get; set; }

        /// <summary>
        /// 角色Code
        /// </summary>
        public string RoleCode { get; set; }

        /// <summary>
        /// 访问等级
        /// </summary>
        public ETableAccessLevel AccessLevel { get; set; }

        /// <summary>
        /// 表名
        /// </summary>
        public string TableName { get; set; }
    }

    public record UpdateDataAuthorityDto
    {
        public string Id { get; set; }

        /// <summary>
        /// 访问等级
        /// </summary>
        public ETableAccessLevel AccessLevel { get; set; }
    }

}
